apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: apache-0.4.1
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: apache
      name: apache
      podspec:
        containers:
          - image: aep/base_jammy
            name: apache
      provides:
        - exposed: true
          name: http
          network: loadbalanced
          servicespec:
            ports:
              - name: http
                port: 80
                protocol: TCP
                targetPort: 80
              - name: https
                port: 443
                protocol: TCP
                targetPort: 443
      sizing:
        increment: 1
        initial: 1
        maximum: 10
        minimum: 1
  dependencies:
    operator:
      name: apache-operator
      vendor: asag
      version: 0.4.1
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.0
  name: apache
  settings:
    - name: environment
      schema:
        default: apache_prod
  version: 0.4.1
